package com.steering.pss.plnsaleord.stove.entity;
/**
 * 数据库表PLN_STEELFOR_ORD所对应的实体类（生成工具：代码生成器3.0）
 * @author PC-20160925CXYF   date 2017-10-28
 */
@SuppressWarnings("serial")
public class PlnSteelforOrdEntityL implements java.io.Serializable {
    /**
     * 虚拟炉次号(ID)
     */
    private String furnaceno = "";
    /**
     * 虚拟炉次内顺序号
     */
    private String sequenceno = "";
    /**
     * 虚拟炉次顺序号(不同电炉产线顺序独立连续)
     */
    private String furnacenoSeq = "";
    /**
     * 铸造订单编号
     */
    private String proPlanId = "";
    /**
     * 工序排产序号
     */
    private String gxPlanNo = "";
    /**
     * 浇次号
     */
    private String castNo = "";
    /**
     * 浇次顺序号(不同铸机顺序独立连续)
     */
    private String castSeq = "";
    /**
     * 浇次内炉顺序号(单一浇次)
     */
    private String castStoveSeq = "";
    /**
     * 连铸顺序号(不同铸机产线顺序独立连续)
     */
    private String ccmSeq = "";
    /**
     * 冶炼炉号(电炉号)
     */
    private String stoveNo = "";
    /**
     * 判定炉号
     */
    private String judgeStoveNo = "";
    /**
     * 判定炉号序号
     */
    private String judgeStoveNoSeq = "";
    /**
     * 标示炉号(打印炉号)
     */
    private String flagStoveNo = "";
    /**
     * 生产状态(00=编制中,10=已下发,20=生产中,30=已生产,40=关闭)
     */
    private String status = "";
    /**
     * 工序点执行状态：00=初始状态；10=切割完成；20=表检完成；30=下线
     */
    private String ccmState = "";
    /**
     * 铸造计划类型：00=正常；10=表检返线；20=下线返线
     */
    private String ccmPlnType = "";
    /**
     * 管坯类型（1铸坯2锻坯）
     */
    private String gptype = "";
    /**
     * 铸造类型（1连铸2模铸）
     */
    private String castingtype = "";
    /**
     * 铸造产线编码
     */
    private String plineCode = "";
    /**
     * 铸造产线描述
     */
    private String plineName = "";
    /**
     * 铸机号
     */
    private String ccmid = "";
    /**
     * 铸流号
     */
    private String flowno = "";
    /**
     * 电炉产线编码
     */
    private String efPlineCode = "";
    /**
     * 电炉产线描述
     */
    private String efPlineName = "";
    /**
     * 投入物料编码
     */
    private String wlidIn = "";
    /**
     * 投入物料描述
     */
    private String wldescIn = "";
    /**
     * 产出物料编码
     */
    private String materialNo = "";
    /**
     * 产出物料描述
     */
    private String materialName = "";
    /**
     * 钢种代码
     */
    private String gradecode = "";
    /**
     * 钢种名称
     */
    private String gradename = "";
    /**
     * 管坯直径(模铸写规格)
     */
    private String diameter = "";
    /**
     * 单倍坯长（mm）
     */
    private String lenGpSingle = "";
    /**
     * 倍尺数
     */
    private String cutNumGp = "";
    /**
     * 倍尺长度（mm）
     */
    private String lengthM = "";
    /**
     * 单倍坯重
     */
    private String weightGpOne = "";
    /**
     * 倍尺单重
     */
    private String weightM = "";
    /**
     * 倍尺坯支数(计划)
     */
    private String totMumM = "";
    /**
     * 倍尺坯重量(计划)
     */
    private String totWeightM = "";
    /**
     * 倍尺坯重量(实绩吨)
     */
    private String actWeightM = "";
    /**
     * 倍尺坯支数(实绩支)
     */
    private String actMumM = "";
    /**
     * 是否余材(0订单材1余材)
     */
    private String surplusflag = "";
    /**
     * 余材类型（1生产超量2开浇加量3尾炉加量4连浇前炉加量5连浇后炉加量，6补炉余材，7改判）
     */
    private String surplusType = "";
    /**
     * 是否余材已再分配
     */
    private String ifSurplusAlloted = "";
    /**
     * 成分标准索引号(内控)
     */
    private String cic = "";
    /**
     * 材质标准索引号(内控)
     */
    private String pic = "";
    /**
     * 公差标准索引号(内控)
     */
    private String sic = "";
    /**
     * 探伤索引号(内控)
     */
    private String dic = "";
    /**
     * 备注
     */
    private String memo = "";
    /**
     * 制定人
     */
    private String makeman = "";
    /**
     * 制定时间
     */
    private String maketime = "";
    /**
     * 下发人
     */
    private String downman = "";
    /**
     * 下发时间
     */
    private String downtime = "";
    /**
     * 成分判定记录ID（炼钢成分判定完成后回写）
     */
    private String chemJudgeId = "";
    /**
     * 理化判定记录ID（炼钢理化判定完成后回写）
     */
    private String phyJudgeId = "";
    /**
     * 综合判定记录ID（炼钢综合判定完成后回写）
     */
    private String colligateJudgeId = "";
    /**
     * 超量吨
     */
    private String excessWt = "";
    /**
     * 超量支
     */
    private String excessNum = "";
    /**
     * 生产年月日(20170830)
     */
    private String proMonth = "";
    /**
     * 是否末工序（末工序时合同成品属性有效）
     */
    private String isendgx = "";
    /**
     * 利计划状态(0;正常，1;利计划)
     */
    private String stateLk = "";
    /**
     * 合同号管理号集合(合同头/合同行)
     */
    private String orderNo = "";
    /**
     * 最终用户描述集合
     */
    private String finalUserDesc = "";
    /**
     * 钢级(牌号)代码
     */
    private String steelcode = "";
    /**
     * 钢级(牌号)名称
     */
    private String steelname = "";
    /**
     * 品名代码
     */
    private String produccode = "";
    /**
     * 品名描述
     */
    private String producname = "";
    /**
     * 物流去向代码集合
     */
    private String gowhereCode = "";
    /**
     * 物流去向名称集合
     */
    private String gowhereName = "";
    /**
     * 是否炼钢监制
     */
    private String ifMonitorLg = "";
    /**
     * 监制编号
     */
    private String prdcrNo = "";
    /**
     * 合并编号
     */
    private String mergeNo = "";
    /**
     * 监制单位
     */
    private String pdeptName = "";
    /**
     * 监制人
     */
    private String prdcrMan = "";

    /**
     * 虚拟炉次号(ID)
     * @return value
     */
    public String getFurnaceno() {
        return furnaceno;
    }

    /**
     * 虚拟炉次号(ID)
     * @param furnaceno value
     */
    public void setFurnaceno(String furnaceno) {
        this.furnaceno = furnaceno;
    }

    /**
     * 虚拟炉次内顺序号
     * @return value
     */
    public String getSequenceno() {
        return sequenceno;
    }

    /**
     * 虚拟炉次内顺序号
     * @param sequenceno value
     */
    public void setSequenceno(String sequenceno) {
        this.sequenceno = sequenceno;
    }

    /**
     * 虚拟炉次顺序号(不同电炉产线顺序独立连续)
     * @return value
     */
    public String getFurnacenoSeq() {
        return furnacenoSeq;
    }

    /**
     * 虚拟炉次顺序号(不同电炉产线顺序独立连续)
     * @param furnacenoSeq value
     */
    public void setFurnacenoSeq(String furnacenoSeq) {
        this.furnacenoSeq = furnacenoSeq;
    }

    /**
     * 铸造订单编号
     * @return value
     */
    public String getProPlanId() {
        return proPlanId;
    }

    /**
     * 铸造订单编号
     * @param proPlanId value
     */
    public void setProPlanId(String proPlanId) {
        this.proPlanId = proPlanId;
    }

    /**
     * 工序排产序号
     * @return value
     */
    public String getGxPlanNo() {
        return gxPlanNo;
    }

    /**
     * 工序排产序号
     * @param gxPlanNo value
     */
    public void setGxPlanNo(String gxPlanNo) {
        this.gxPlanNo = gxPlanNo;
    }

    /**
     * 浇次号
     * @return value
     */
    public String getCastNo() {
        return castNo;
    }

    /**
     * 浇次号
     * @param castNo value
     */
    public void setCastNo(String castNo) {
        this.castNo = castNo;
    }

    /**
     * 浇次顺序号(不同铸机顺序独立连续)
     * @return value
     */
    public String getCastSeq() {
        return castSeq;
    }

    /**
     * 浇次顺序号(不同铸机顺序独立连续)
     * @param castSeq value
     */
    public void setCastSeq(String castSeq) {
        this.castSeq = castSeq;
    }

    /**
     * 浇次内炉顺序号(单一浇次)
     * @return value
     */
    public String getCastStoveSeq() {
        return castStoveSeq;
    }

    /**
     * 浇次内炉顺序号(单一浇次)
     * @param castStoveSeq value
     */
    public void setCastStoveSeq(String castStoveSeq) {
        this.castStoveSeq = castStoveSeq;
    }

    /**
     * 连铸顺序号(不同铸机产线顺序独立连续)
     * @return value
     */
    public String getCcmSeq() {
        return ccmSeq;
    }

    /**
     * 连铸顺序号(不同铸机产线顺序独立连续)
     * @param ccmSeq value
     */
    public void setCcmSeq(String ccmSeq) {
        this.ccmSeq = ccmSeq;
    }

    /**
     * 冶炼炉号(电炉号)
     * @return value
     */
    public String getStoveNo() {
        return stoveNo;
    }

    /**
     * 冶炼炉号(电炉号)
     * @param stoveNo value
     */
    public void setStoveNo(String stoveNo) {
        this.stoveNo = stoveNo;
    }

    /**
     * 判定炉号
     * @return value
     */
    public String getJudgeStoveNo() {
        return judgeStoveNo;
    }

    /**
     * 判定炉号
     * @param judgeStoveNo value
     */
    public void setJudgeStoveNo(String judgeStoveNo) {
        this.judgeStoveNo = judgeStoveNo;
    }

    /**
     * 判定炉号序号
     * @return value
     */
    public String getJudgeStoveNoSeq() {
        return judgeStoveNoSeq;
    }

    /**
     * 判定炉号序号
     * @param judgeStoveNoSeq value
     */
    public void setJudgeStoveNoSeq(String judgeStoveNoSeq) {
        this.judgeStoveNoSeq = judgeStoveNoSeq;
    }

    /**
     * 标示炉号(打印炉号)
     * @return value
     */
    public String getFlagStoveNo() {
        return flagStoveNo;
    }

    /**
     * 标示炉号(打印炉号)
     * @param flagStoveNo value
     */
    public void setFlagStoveNo(String flagStoveNo) {
        this.flagStoveNo = flagStoveNo;
    }

    /**
     * 生产状态(00=编制中,10=已下发,20=生产中,30=已生产,40=关闭)
     * @return value
     */
    public String getStatus() {
        return status;
    }

    /**
     * 生产状态(00=编制中,10=已下发,20=生产中,30=已生产,40=关闭)
     * @param status value
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * 工序点执行状态：00=初始状态；10=切割完成；20=表检完成；30=下线
     * @return value
     */
    public String getCcmState() {
        return ccmState;
    }

    /**
     * 工序点执行状态：00=初始状态；10=切割完成；20=表检完成；30=下线
     * @param ccmState value
     */
    public void setCcmState(String ccmState) {
        this.ccmState = ccmState;
    }

    /**
     * 铸造计划类型：00=正常；10=表检返线；20=下线返线
     * @return value
     */
    public String getCcmPlnType() {
        return ccmPlnType;
    }

    /**
     * 铸造计划类型：00=正常；10=表检返线；20=下线返线
     * @param ccmPlnType value
     */
    public void setCcmPlnType(String ccmPlnType) {
        this.ccmPlnType = ccmPlnType;
    }

    /**
     * 管坯类型（1铸坯2锻坯）
     * @return value
     */
    public String getGptype() {
        return gptype;
    }

    /**
     * 管坯类型（1铸坯2锻坯）
     * @param gptype value
     */
    public void setGptype(String gptype) {
        this.gptype = gptype;
    }

    /**
     * 铸造类型（1连铸2模铸）
     * @return value
     */
    public String getCastingtype() {
        return castingtype;
    }

    /**
     * 铸造类型（1连铸2模铸）
     * @param castingtype value
     */
    public void setCastingtype(String castingtype) {
        this.castingtype = castingtype;
    }

    /**
     * 铸造产线编码
     * @return value
     */
    public String getPlineCode() {
        return plineCode;
    }

    /**
     * 铸造产线编码
     * @param plineCode value
     */
    public void setPlineCode(String plineCode) {
        this.plineCode = plineCode;
    }

    /**
     * 铸造产线描述
     * @return value
     */
    public String getPlineName() {
        return plineName;
    }

    /**
     * 铸造产线描述
     * @param plineName value
     */
    public void setPlineName(String plineName) {
        this.plineName = plineName;
    }

    /**
     * 铸机号
     * @return value
     */
    public String getCcmid() {
        return ccmid;
    }

    /**
     * 铸机号
     * @param ccmid value
     */
    public void setCcmid(String ccmid) {
        this.ccmid = ccmid;
    }

    /**
     * 铸流号
     * @return value
     */
    public String getFlowno() {
        return flowno;
    }

    /**
     * 铸流号
     * @param flowno value
     */
    public void setFlowno(String flowno) {
        this.flowno = flowno;
    }

    /**
     * 电炉产线编码
     * @return value
     */
    public String getEfPlineCode() {
        return efPlineCode;
    }

    /**
     * 电炉产线编码
     * @param efPlineCode value
     */
    public void setEfPlineCode(String efPlineCode) {
        this.efPlineCode = efPlineCode;
    }

    /**
     * 电炉产线描述
     * @return value
     */
    public String getEfPlineName() {
        return efPlineName;
    }

    /**
     * 电炉产线描述
     * @param efPlineName value
     */
    public void setEfPlineName(String efPlineName) {
        this.efPlineName = efPlineName;
    }

    /**
     * 投入物料编码
     * @return value
     */
    public String getWlidIn() {
        return wlidIn;
    }

    /**
     * 投入物料编码
     * @param wlidIn value
     */
    public void setWlidIn(String wlidIn) {
        this.wlidIn = wlidIn;
    }

    /**
     * 投入物料描述
     * @return value
     */
    public String getWldescIn() {
        return wldescIn;
    }

    /**
     * 投入物料描述
     * @param wldescIn value
     */
    public void setWldescIn(String wldescIn) {
        this.wldescIn = wldescIn;
    }

    /**
     * 产出物料编码
     * @return value
     */
    public String getMaterialNo() {
        return materialNo;
    }

    /**
     * 产出物料编码
     * @param materialNo value
     */
    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    /**
     * 产出物料描述
     * @return value
     */
    public String getMaterialName() {
        return materialName;
    }

    /**
     * 产出物料描述
     * @param materialName value
     */
    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    /**
     * 钢种代码
     * @return value
     */
    public String getGradecode() {
        return gradecode;
    }

    /**
     * 钢种代码
     * @param gradecode value
     */
    public void setGradecode(String gradecode) {
        this.gradecode = gradecode;
    }

    /**
     * 钢种名称
     * @return value
     */
    public String getGradename() {
        return gradename;
    }

    /**
     * 钢种名称
     * @param gradename value
     */
    public void setGradename(String gradename) {
        this.gradename = gradename;
    }

    /**
     * 管坯直径(模铸写规格)
     * @return value
     */
    public String getDiameter() {
        return diameter;
    }

    /**
     * 管坯直径(模铸写规格)
     * @param diameter value
     */
    public void setDiameter(String diameter) {
        this.diameter = diameter;
    }

    /**
     * 单倍坯长（mm）
     * @return value
     */
    public String getLenGpSingle() {
        return lenGpSingle;
    }

    /**
     * 单倍坯长（mm）
     * @param lenGpSingle value
     */
    public void setLenGpSingle(String lenGpSingle) {
        this.lenGpSingle = lenGpSingle;
    }

    /**
     * 倍尺数
     * @return value
     */
    public String getCutNumGp() {
        return cutNumGp;
    }

    /**
     * 倍尺数
     * @param cutNumGp value
     */
    public void setCutNumGp(String cutNumGp) {
        this.cutNumGp = cutNumGp;
    }

    /**
     * 倍尺长度（mm）
     * @return value
     */
    public String getLengthM() {
        return lengthM;
    }

    /**
     * 倍尺长度（mm）
     * @param lengthM value
     */
    public void setLengthM(String lengthM) {
        this.lengthM = lengthM;
    }

    /**
     * 单倍坯重
     * @return value
     */
    public String getWeightGpOne() {
        return weightGpOne;
    }

    /**
     * 单倍坯重
     * @param weightGpOne value
     */
    public void setWeightGpOne(String weightGpOne) {
        this.weightGpOne = weightGpOne;
    }

    /**
     * 倍尺单重
     * @return value
     */
    public String getWeightM() {
        return weightM;
    }

    /**
     * 倍尺单重
     * @param weightM value
     */
    public void setWeightM(String weightM) {
        this.weightM = weightM;
    }

    /**
     * 倍尺坯支数(计划)
     * @return value
     */
    public String getTotMumM() {
        return totMumM;
    }

    /**
     * 倍尺坯支数(计划)
     * @param totMumM value
     */
    public void setTotMumM(String totMumM) {
        this.totMumM = totMumM;
    }

    /**
     * 倍尺坯重量(计划)
     * @return value
     */
    public String getTotWeightM() {
        return totWeightM;
    }

    /**
     * 倍尺坯重量(计划)
     * @param totWeightM value
     */
    public void setTotWeightM(String totWeightM) {
        this.totWeightM = totWeightM;
    }

    /**
     * 倍尺坯重量(实绩吨)
     * @return value
     */
    public String getActWeightM() {
        return actWeightM;
    }

    /**
     * 倍尺坯重量(实绩吨)
     * @param actWeightM value
     */
    public void setActWeightM(String actWeightM) {
        this.actWeightM = actWeightM;
    }

    /**
     * 倍尺坯支数(实绩支)
     * @return value
     */
    public String getActMumM() {
        return actMumM;
    }

    /**
     * 倍尺坯支数(实绩支)
     * @param actMumM value
     */
    public void setActMumM(String actMumM) {
        this.actMumM = actMumM;
    }

    /**
     * 是否余材(0订单材1余材)
     * @return value
     */
    public String getSurplusflag() {
        return surplusflag;
    }

    /**
     * 是否余材(0订单材1余材)
     * @param surplusflag value
     */
    public void setSurplusflag(String surplusflag) {
        this.surplusflag = surplusflag;
    }

    /**
     * 余材类型（1生产超量2开浇加量3尾炉加量4连浇前炉加量5连浇后炉加量，6补炉余材，7改判）
     * @return value
     */
    public String getSurplusType() {
        return surplusType;
    }

    /**
     * 余材类型（1生产超量2开浇加量3尾炉加量4连浇前炉加量5连浇后炉加量，6补炉余材，7改判）
     * @param surplusType value
     */
    public void setSurplusType(String surplusType) {
        this.surplusType = surplusType;
    }

    /**
     * 是否余材已再分配
     * @return value
     */
    public String getIfSurplusAlloted() {
        return ifSurplusAlloted;
    }

    /**
     * 是否余材已再分配
     * @param ifSurplusAlloted value
     */
    public void setIfSurplusAlloted(String ifSurplusAlloted) {
        this.ifSurplusAlloted = ifSurplusAlloted;
    }

    /**
     * 成分标准索引号(内控)
     * @return value
     */
    public String getCic() {
        return cic;
    }

    /**
     * 成分标准索引号(内控)
     * @param cic value
     */
    public void setCic(String cic) {
        this.cic = cic;
    }

    /**
     * 材质标准索引号(内控)
     * @return value
     */
    public String getPic() {
        return pic;
    }

    /**
     * 材质标准索引号(内控)
     * @param pic value
     */
    public void setPic(String pic) {
        this.pic = pic;
    }

    /**
     * 公差标准索引号(内控)
     * @return value
     */
    public String getSic() {
        return sic;
    }

    /**
     * 公差标准索引号(内控)
     * @param sic value
     */
    public void setSic(String sic) {
        this.sic = sic;
    }

    /**
     * 探伤索引号(内控)
     * @return value
     */
    public String getDic() {
        return dic;
    }

    /**
     * 探伤索引号(内控)
     * @param dic value
     */
    public void setDic(String dic) {
        this.dic = dic;
    }

    /**
     * 备注
     * @return value
     */
    public String getMemo() {
        return memo;
    }

    /**
     * 备注
     * @param memo value
     */
    public void setMemo(String memo) {
        this.memo = memo;
    }

    /**
     * 制定人
     * @return value
     */
    public String getMakeman() {
        return makeman;
    }

    /**
     * 制定人
     * @param makeman value
     */
    public void setMakeman(String makeman) {
        this.makeman = makeman;
    }

    /**
     * 制定时间
     * @return value
     */
    public String getMaketime() {
        return maketime;
    }

    /**
     * 制定时间
     * @param maketime value
     */
    public void setMaketime(String maketime) {
        this.maketime = maketime;
    }

    /**
     * 下发人
     * @return value
     */
    public String getDownman() {
        return downman;
    }

    /**
     * 下发人
     * @param downman value
     */
    public void setDownman(String downman) {
        this.downman = downman;
    }

    /**
     * 下发时间
     * @return value
     */
    public String getDowntime() {
        return downtime;
    }

    /**
     * 下发时间
     * @param downtime value
     */
    public void setDowntime(String downtime) {
        this.downtime = downtime;
    }

    /**
     * 成分判定记录ID（炼钢成分判定完成后回写）
     * @return value
     */
    public String getChemJudgeId() {
        return chemJudgeId;
    }

    /**
     * 成分判定记录ID（炼钢成分判定完成后回写）
     * @param chemJudgeId value
     */
    public void setChemJudgeId(String chemJudgeId) {
        this.chemJudgeId = chemJudgeId;
    }

    /**
     * 理化判定记录ID（炼钢理化判定完成后回写）
     * @return value
     */
    public String getPhyJudgeId() {
        return phyJudgeId;
    }

    /**
     * 理化判定记录ID（炼钢理化判定完成后回写）
     * @param phyJudgeId value
     */
    public void setPhyJudgeId(String phyJudgeId) {
        this.phyJudgeId = phyJudgeId;
    }

    /**
     * 综合判定记录ID（炼钢综合判定完成后回写）
     * @return value
     */
    public String getColligateJudgeId() {
        return colligateJudgeId;
    }

    /**
     * 综合判定记录ID（炼钢综合判定完成后回写）
     * @param colligateJudgeId value
     */
    public void setColligateJudgeId(String colligateJudgeId) {
        this.colligateJudgeId = colligateJudgeId;
    }

    /**
     * 超量吨
     * @return value
     */
    public String getExcessWt() {
        return excessWt;
    }

    /**
     * 超量吨
     * @param excessWt value
     */
    public void setExcessWt(String excessWt) {
        this.excessWt = excessWt;
    }

    /**
     * 超量支
     * @return value
     */
    public String getExcessNum() {
        return excessNum;
    }

    /**
     * 超量支
     * @param excessNum value
     */
    public void setExcessNum(String excessNum) {
        this.excessNum = excessNum;
    }

    /**
     * 生产年月日(20170830)
     * @return value
     */
    public String getProMonth() {
        return proMonth;
    }

    /**
     * 生产年月日(20170830)
     * @param proMonth value
     */
    public void setProMonth(String proMonth) {
        this.proMonth = proMonth;
    }

    /**
     * 是否末工序（末工序时合同成品属性有效）
     * @return value
     */
    public String getIsendgx() {
        return isendgx;
    }

    /**
     * 是否末工序（末工序时合同成品属性有效）
     * @param isendgx value
     */
    public void setIsendgx(String isendgx) {
        this.isendgx = isendgx;
    }

    /**
     * 利计划状态(0;正常，1;利计划)
     * @return value
     */
    public String getStateLk() {
        return stateLk;
    }

    /**
     * 利计划状态(0;正常，1;利计划)
     * @param stateLk value
     */
    public void setStateLk(String stateLk) {
        this.stateLk = stateLk;
    }

    /**
     * 合同号管理号集合(合同头/合同行)
     * @return value
     */
    public String getOrderNo() {
        return orderNo;
    }

    /**
     * 合同号管理号集合(合同头/合同行)
     * @param orderNo value
     */
    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    /**
     * 最终用户描述集合
     * @return value
     */
    public String getFinalUserDesc() {
        return finalUserDesc;
    }

    /**
     * 最终用户描述集合
     * @param finalUserDesc value
     */
    public void setFinalUserDesc(String finalUserDesc) {
        this.finalUserDesc = finalUserDesc;
    }

    /**
     * 钢级(牌号)代码
     * @return value
     */
    public String getSteelcode() {
        return steelcode;
    }

    /**
     * 钢级(牌号)代码
     * @param steelcode value
     */
    public void setSteelcode(String steelcode) {
        this.steelcode = steelcode;
    }

    /**
     * 钢级(牌号)名称
     * @return value
     */
    public String getSteelname() {
        return steelname;
    }

    /**
     * 钢级(牌号)名称
     * @param steelname value
     */
    public void setSteelname(String steelname) {
        this.steelname = steelname;
    }

    /**
     * 品名代码
     * @return value
     */
    public String getProduccode() {
        return produccode;
    }

    /**
     * 品名代码
     * @param produccode value
     */
    public void setProduccode(String produccode) {
        this.produccode = produccode;
    }

    /**
     * 品名描述
     * @return value
     */
    public String getProducname() {
        return producname;
    }

    /**
     * 品名描述
     * @param producname value
     */
    public void setProducname(String producname) {
        this.producname = producname;
    }

    /**
     * 物流去向代码集合
     * @return value
     */
    public String getGowhereCode() {
        return gowhereCode;
    }

    /**
     * 物流去向代码集合
     * @param gowhereCode value
     */
    public void setGowhereCode(String gowhereCode) {
        this.gowhereCode = gowhereCode;
    }

    /**
     * 物流去向名称集合
     * @return value
     */
    public String getGowhereName() {
        return gowhereName;
    }

    /**
     * 物流去向名称集合
     * @param gowhereName value
     */
    public void setGowhereName(String gowhereName) {
        this.gowhereName = gowhereName;
    }

    /**
     * 是否炼钢监制
     * @return value
     */
    public String getIfMonitorLg() {
        return ifMonitorLg;
    }

    /**
     * 是否炼钢监制
     * @param ifMonitorLg value
     */
    public void setIfMonitorLg(String ifMonitorLg) {
        this.ifMonitorLg = ifMonitorLg;
    }

    /**
     * 监制编号
     * @return value
     */
    public String getPrdcrNo() {
        return prdcrNo;
    }

    /**
     * 监制编号
     * @param prdcrNo value
     */
    public void setPrdcrNo(String prdcrNo) {
        this.prdcrNo = prdcrNo;
    }

    /**
     * 合并编号
     * @return value
     */
    public String getMergeNo() {
        return mergeNo;
    }

    /**
     * 合并编号
     * @param mergeNo value
     */
    public void setMergeNo(String mergeNo) {
        this.mergeNo = mergeNo;
    }

    /**
     * 监制单位
     * @return value
     */
    public String getPdeptName() {
        return pdeptName;
    }

    /**
     * 监制单位
     * @param pdeptName value
     */
    public void setPdeptName(String pdeptName) {
        this.pdeptName = pdeptName;
    }

    /**
     * 监制人
     * @return value
     */
    public String getPrdcrMan() {
        return prdcrMan;
    }

    /**
     * 监制人
     * @param prdcrMan value
     */
    public void setPrdcrMan(String prdcrMan) {
        this.prdcrMan = prdcrMan;
    }
    
    String message = "";

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }

}
